GET /inclusive

Get a list of all entries in the Inclusive Language Dictionary.

Headers

  • Accept string Required

    The format to return errors in (if applicable) and, for some endpoints, the format to return the data in. In general, we recommend having it set to application/json

    Values are application/json, text/calendar, text/plain, or text/html. Default value is application/json.

Responses

  • 200 application/json

    A JSON array of Inclusive features

    Hide response attributes Show response attributes object
    • id string Required

      A unique identifier for an item, typically a 26-character alphanumeric string.

    • locale string Required

      The locale associated with the submitted data (e.g., "en" for English).

    • approved boolean Required

      Indicates if the submission has been approved

    • deleted boolean Required

      Indicates if the submission has been marked as deleted

    • insteadOf string Required

      The non-inclusive term or phrase that is being replaced by the inclusive alternative.

    • say string Required

      The inclusive alternative that should be used instead of the non-inclusive term or phrase.

    • because string Required

      An explanation of why the non-inclusive term or phrase is problematic and why the inclusive alternative is preferred.

    • base_id string

      A unique identifier for an item, typically a 26-character alphanumeric string.

    • author_id string

      A unique identifier for an item, typically a 26-character alphanumeric string.

    • categories string Required

      A comma-separated list of categories or classifications for the inclusive alternative (e.g., "inclusive language")

    • clarification string | null

      Any additional clarification or notes about the inclusive alternative.

    • author string | null

      The username of the author

  • default application/json

    Basic Error Response

    Hide response attributes Show response attributes object
    • statusCode number Required

      The HTTP Status Code associated with the error

    • error boolean Required

      Indicates that the response is an error

      Value is true.

    • statusMessage string Required

      The message associated with the error

    • message string Required

      The message associated with the error (client visible)

    • url string Required

      The URL that was requested which resulted in the error

GET /inclusive
curl \
 --request GET 'https://zaimki.pl/api/public/v3/inclusive' \
 --header "Accept: application/json"
Response examples (200)
[
  {
    "id": "01GYEG2T9H00PSTX8B0N7EWG6Z",
    "insteadOf": "\"he/she\"|\"he or she\"",
    "say": "he/she/they (formal)|he, she, or they (formal)|they (formal)",
    "because": "Putting “he/she” or “him/her” in a sentence where the person is hypothetical or the gender of the person is unknown assumes that the person it's referring to uses either he/him or she/her pronouns, which some people do not.\n",
    "locale": "en",
    "approved": 1,
    "base_id": null,
    "author_id": null,
    "categories": "transgender,intersex",
    "links": [
      null
    ],
    "deleted": 0,
    "clarification": null,
    "author": null
  }
]
Response examples (default)
The request contains invalid content
{
  "error": true,
  "statusCode": 400,
  "statusMessage": "Bad Request",
  "message": "XYZ contains an invalid value",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
  "error": true,
  "statusCode": 401,
  "statusMessage": "Unauthorised",
  "message": "You are not authorised to access this content",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
  "error": true,
  "statusCode": 404,
  "statusMessage": "Not Found",
  "message": "Requested Item Not Found",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
  "error": true,
  "statusCode": 410,
  "statusMessage": "Gone",
  "message": "v1 has been marked as depreciated; please use v2 or v3",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
  "error": true,
  "statusCode": 500,
  "statusMessage": "Server Error",
  "message": "An unknown server error has occured, please try again later",
  "url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}